﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace Latest_Patient_Preference
{
    public class PatientPreferenceViewModel : ViewModelBase
    {

        public PatientPreferenceViewModel()
        {
            List<string> firstComboItems = new List<string>();
            firstComboItems.Add("Unknown Book1");
           
            //List<string> SecondComboItems = new List<string>();
            //SecondComboItems.Add("Option 1");
            //SecondComboItems.Add("Option 2");        


            List<string> tComboItems = new List<string>();
            tComboItems.Add("Book1");
            tComboItems.Add("Book2");
            tComboItems.Add("Book3");
            
            var preference = new ObservableCollection<PreferenceViewModel>();

            preference.Add(new PreferenceViewModel("Store 1", true,  firstComboItems));
            preference.Add(new PreferenceViewModel("Store 2", false, null));
            preference.Add(new PreferenceViewModel("Store 3", true, tComboItems));

            PreferenceViewModels = preference;
        }

        private ObservableCollection<PreferenceViewModel> _preferenceViewModel;

        public ObservableCollection<PreferenceViewModel> PreferenceViewModels
        {
            get
            {
                return this._preferenceViewModel;
            }

            set
            {
                _preferenceViewModel = value;
                OnPropertyChanged("PreferenceViewModels");
            }
        }

    }
}
